Subject: Re: your mail

From: Tim Boykett <[email-masked]>
Date: Thu, 23 Jun 1994 14:15:03 +0200

there do exist implementationms and variations upon rend386
that allow the importing of gifs, and (i think) the scaling and
turning of them, at least as long as one remains "standing", and
the plane of the gif is also vertical. as i remember, it was
done as an eperiment for texture mapped walls in something
like a doom variation, or to do blitted icons for another
game of some kind.

get in contacy if you would like more info

cheers

tim boykett

> > Hi!  This is my first entry on the discussion, and as a matter of
> > fact I'm a VR beginner.  I've just sent a letter to PCVR to get a
> > copy of rend386, and in the meantime, what I was wondering is this:
> > can I import scanned photographs, or 3d objects that have been created
> > elsewhere into rend386?  
> 
> REND386 doesn't handle objects / images in the same way in which more 
> conventional graphics utilities do.  Each object in rend386 consists of a 
> text file describing a set of coordinates that the object occupies in a 
> three dimensional grid as well as color, texture, and scale attributes.  
> For example, a simple cube can take anywhere from 10 or so to 20 - 30 lines 
> of code to produce on screen (depending on the complexity of the cube).  
> REND386 then reads the text file and creates a representation of the 
> object based on the data in the text file.  
> 
> Because of this method of representing objects and virtual worlds, it is 
> not possible to import a scene or object from a pcx, gif or similar file 
> type scanned or otherwise.